Subject: Re: bug#61462: Add support for file capabilities(7)

From: Ludovic Courtès <[email-masked]>
Date: Thu, 20 Apr 2023 12:33:27 +0200

Hi,

Vagrant Cascadian <[email-masked]> skribis:

> At least the case I am most familiar with, lcsync, it really should not
> run as setuid-root, as that effectively allows anyone to modify or copy
> any file as root. Although, likely Hurd limits the impacts of setuid
> root in ways I do not understand?

There are many more things that can be done on the Hurd without being
root.  So I don’t know, maybe we can ignore the issue for now and simply
make sure that the defaults work for the Hurd.

> Even then, I still think if you ask for something in your guix system
> configuration, and it cannot deliver what you asked for, it should not
> give you something else as an approximation of what you wanted.

Yeah, you’re right that an approximation could be risky…

Thanks,
Ludo’.